Bug 67347 - KPF doesn't save/restore settings properly.
Summary: KPF doesn't save/restore settings properly.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-23 02:12 UTC by Ali-Reza Anghaie
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-22 10:27:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ali-Reza Anghaie 2002-06-23 02:12:20 UTC
Description of Problem:

(Filing against KBEBASE as KPF isn't a component in the list nor would it let me
enter it manually.)

KPF seems to ignore its rc file when entering and exiting unless the file is
forces to read-only. Otherwise it overwrites the connection and bandwith
settings each time. Defeats the purpose of having a rc in that case.

Also going to wander off to kde.org and note/test/etc. there. It might already
be fixed or what-not.

Version-Release number of selected component (if applicable):

kpf-3.0.0-4

How Reproducible:

Always.

Steps to Reproduce:
1. Start kpf, set bandwith to something other than the default 4kb/s.
2. Stop kpf. Start it clean, you'll notice even though it wrote the file from
the last change, the file is reset again except for the direction.
3. chmod 400 the rc file to keep it from changing again.

Actual Results:

Resets config to default bandwith each time.

Expected Results:

Actually respect the saved settings and rc file.

Additional Information:
	
Setting to low/low cause it's stupid and probably will be (or already is) gone.
I'll try rawhide packages sometime soon enough and update then.

Comment 1 Ali-Reza Anghaie 2002-10-01 03:08:51 UTC
Still an issue in 8.0. But still low/low. Just odd IMO. Cheers, -Ali

Comment 2 Ali-Reza Anghaie 2003-07-22 10:27:17 UTC
Fixed in RHL 9. 


Note You need to log in before you can comment on or make changes to this bug.